ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ICC4cPwmSdk.Device.IHallFeedback Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IHallFeedback:

## Public Member Functions
void | EnableSensorReadout (bool enable)
| Enables hall sensor feedback.
void | SetDefaultState (int value)
| Set default hall state.
void | SensorTransformMatrix (EChannel channel, float[] matrix)
| Sensor Transform Matrix.
void | SetPidMinMaxOutputFeedbackOnChannel (EChannel channel, float min, float max)
| Set PID min/max output on hall feedback.
void | SetLinearizationCoefficients (ESensor sensor, float c, float d1, float d2, float d3, float d4, float e)
| Set Linearization coefficients.
void | SetOutputConditioningStageSystem (EChannel channel, EOutputConditioningStageSystem filter)
| Set conditioning filter.
void | SetPidFilterCutOffFrequencyOnChannel (EChannel channel, float frequency)
| Set Cut off.
void | SetPidGainsOnChannel (EChannel channel, float kp, float ki, float kd)
| Set PID gains.
void | SetPidAsControlMode (EChannel channel, int enabled)
| Set PID as control mode.
float | GetNormalisedHallSensor (ESensor sensor)
| Returns normalised value of the hall sensor.

## Member Function Documentation

## ◆ EnableSensorReadout()

void ICC4cPwmSdk.Device.IHallFeedback.EnableSensorReadout | ( | bool | enable | ) |

Enables hall sensor feedback.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetNormalisedHallSensor()

float ICC4cPwmSdk.Device.IHallFeedback.GetNormalisedHallSensor | ( | ESensor | sensor | ) |

Returns normalised value of the hall sensor.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SensorTransformMatrix()

void ICC4cPwmSdk.Device.IHallFeedback.SensorTransformMatrix | ( | EChannel | channel,
|  | float[] | matrix )

Sensor Transform Matrix.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetDefaultState()

void ICC4cPwmSdk.Device.IHallFeedback.SetDefaultState | ( | int | value | ) |

Set default hall state.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetLinearizationCoefficients()

void ICC4cPwmSdk.Device.IHallFeedback.SetLinearizationCoefficients | ( | ESensor | sensor,
|  | float | c,
|  | float | d1,
|  | float | d2,
|  | float | d3,
|  | float | d4,
|  | float | e )

Set Linearization coefficients.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetOutputConditioningStageSystem()

void ICC4cPwmSdk.Device.IHallFeedback.SetOutputConditioningStageSystem | ( | EChannel | channel,
|  | EOutputConditioningStageSystem | filter )

Set conditioning filter.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetPidAsControlMode()

void ICC4cPwmSdk.Device.IHallFeedback.SetPidAsControlMode | ( | EChannel | channel,
|  | int | enabled )

Set PID as control mode.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetPidFilterCutOffFrequencyOnChannel()

void ICC4cPwmSdk.Device.IHallFeedback.SetPidFilterCutOffFrequencyOnChannel | ( | EChannel | channel,
|  | float | frequency )

Set Cut off.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetPidGainsOnChannel()

void ICC4cPwmSdk.Device.IHallFeedback.SetPidGainsOnChannel | ( | EChannel | channel,
|  | float | kp,
|  | float | ki,
|  | float | kd )

Set PID gains.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetPidMinMaxOutputFeedbackOnChannel()

void ICC4cPwmSdk.Device.IHallFeedback.SetPidMinMaxOutputFeedbackOnChannel | ( | EChannel | channel,
|  | float | min,
|  | float | max )

Set PID min/max output on hall feedback.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- source/ICC4cPwmSdkDeviceController.cs